Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class CayenneException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cayenne.CayenneException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DataMapException

    public class CayenneException

extends java.lang.Exception

A generic checked exception that may be thrown by Cayenne framework. All checked exceptions in Cayenne inherit from this class.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Constructor Summary
`CayenneException()` Creates new `CayenneException` without detail message.
`CayenneException(java.lang.String message)` Constructs an `CayenneException` with the specified detail message.
`CayenneException(java.lang.String message, java.lang.Throwable cause)`
`CayenneException(java.lang.Throwable cause)` Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

Method Summary
`static java.lang.String` | `getExceptionLabel()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getUnlabeledMessage()` Returns exception message without Cayenne version label.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CayenneException

    public CayenneException()

  Creates new `CayenneException` without detail message.

### CayenneException

    public CayenneException(java.lang.String message)

  Constructs an `CayenneException` with the specified detail message.

  Parameters:
    `message` - the detail message.

### CayenneException

    public CayenneException(java.lang.Throwable cause)

  Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

### CayenneException

    public CayenneException(java.lang.String message,
                            java.lang.Throwable cause)

Method Detail

### getExceptionLabel

    public static java.lang.String getExceptionLabel()

### getUnlabeledMessage

    public java.lang.String getUnlabeledMessage()

  Returns exception message without Cayenne version label.

  Since:
    1.1

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.